Generate one-time auth token
curl --request GET \
--url 'https://api.vida.dev/api/v2/auth/account/oneTimeAuthToken?token='import requests
url = "https://api.vida.dev/api/v2/auth/account/oneTimeAuthToken?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vida.dev/api/v2/auth/account/oneTimeAuthToken?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"authToken": "token_here"
}{
"success": false,
"message": "email is required"
}{
"success": false,
"message": "Unauthorized Request"
}{
"success": false,
"message": "Account not found for key: user@example.com"
}{
"success": false,
"message": "An error occurred while fetching authentication token"
}Authorization
Generate one-time auth token
Generate a single-use authentication token for the specified account – Reseller/Partner account required. If the email does not exist and an externalAccountId is provided, the system will automatically add that email as a member of the organization.
GET
/
api
/
v2
/
auth
/
account
/
oneTimeAuthToken
Generate one-time auth token
Authorizations
Vida API Token
Query Parameters
Your system’s customer / account ID (optional)
Alternative to externalAccountId. Provide either this or your externalAccountId (optional)
Email address of the account user